# Examples on Google Colab

Before running the notebooks, make sure that the runtime type is set to "GPU", by going to the Runtime menu, and clicking on "Change runtime type".

## Getting started

|Notebook|Colab Link|
|:---|:---|
[DANN Vanilla PyTorch](https://github.com/KevinMusgrave/pytorch-adapt/blob/main/examples/getting_started/DANNVanilla.ipynb) |[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KevinMusgrave/pytorch-adapt/blob/main/examples/getting_started/DANNVanilla.ipynb)
[DANN PyTorch Lightning](https://github.com/KevinMusgrave/pytorch-adapt/blob/main/examples/getting_started/DANNLightning.ipynb) |[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KevinMusgrave/pytorch-adapt/blob/main/examples/getting_started/DANNLightning.ipynb)
[DANN PyTorch Ignite](https://github.com/KevinMusgrave/pytorch-adapt/blob/main/examples/getting_started/DANNIgnite.ipynb) |[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KevinMusgrave/pytorch-adapt/blob/main/examples/getting_started/DANNIgnite.ipynb)
[DANN PyTorch Ignite With Visualizations](https://github.com/KevinMusgrave/pytorch-adapt/blob/main/examples/getting_started/DANNIgniteWithViz.ipynb) |[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KevinMusgrave/pytorch-adapt/blob/main/examples/getting_started/DANNIgniteWithViz.ipynb)
[Customizing Algorithms](https://github.com/KevinMusgrave/pytorch-adapt/blob/main/examples/getting_started/CustomizingAlgorithms.ipynb) |[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KevinMusgrave/pytorch-adapt/blob/main/examples/getting_started/CustomizingAlgorithms.ipynb)
[Paper Implementations (as hooks)](https://github.com/KevinMusgrave/pytorch-adapt/blob/main/examples/getting_started/PaperImplementationsAsHooks.ipynb) |[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KevinMusgrave/pytorch-adapt/blob/main/examples/getting_started/PaperImplementationsAsHooks.ipynb)


## In depth examples

|Notebook|Colab Link|
|:---|:---|
[Adapters](https://github.com/KevinMusgrave/pytorch-adapt/blob/main/examples/in_depth/Adapters.ipynb) |[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KevinMusgrave/pytorch-adapt/blob/main/examples/in_depth/Adapters.ipynb)
[Containers](https://github.com/KevinMusgrave/pytorch-adapt/blob/main/examples/in_depth/Containers.ipynb) |[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KevinMusgrave/pytorch-adapt/blob/main/examples/in_depth/Containers.ipynb)
[Datasets](https://github.com/KevinMusgrave/pytorch-adapt/blob/main/examples/in_depth/Datasets.ipynb) |[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KevinMusgrave/pytorch-adapt/blob/main/examples/in_depth/Datasets.ipynb)
[Hooks](https://github.com/KevinMusgrave/pytorch-adapt/blob/main/examples/in_depth/Hooks.ipynb) |[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KevinMusgrave/pytorch-adapt/blob/main/examples/in_depth/Hooks.ipynb)
[Weighters](https://github.com/KevinMusgrave/pytorch-adapt/blob/main/examples/in_depth/Weighters.ipynb) |[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KevinMusgrave/pytorch-adapt/blob/main/examples/in_depth/Weighters.ipynb)

## Other

|Notebook|Colab Link|
|:---|:---|
[README examples](https://github.com/KevinMusgrave/pytorch-adapt/blob/main/examples/other/ReadmeExamples.ipynb) |[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KevinMusgrave/pytorch-adapt/blob/main/examples/other/ReadmeExamples.ipynb)
[Display MNIST and MNIST-M](https://github.com/KevinMusgrave/pytorch-adapt/blob/main/examples/other/DigitsViz.ipynb) |[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KevinMusgrave/pytorch-adapt/blob/main/examples/other/DigitsViz.ipynb)
